Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under eshell

From: Jim Porter <[email-masked]>
Date: Thu, 3 Oct 2024 16:46:35 -0700

On 10/3/2024 1:09 AM, Andreas Schwab wrote:
> On Okt 02 2024, Jeff Kowalski wrote:
> 
>> Recall we're still trying to get the "xdg-open file.txt" case to work
>> correctly.
> 
> This is not possible as long as eshell creates a new session for each
> command and closes it immediately after the command exits.  You can
> observe the same effect if you run "xterm -e 'xdg-open file.txt'".

I'm not sure there's a way to avoid creating a new session for each 
command, at least not without a bunch of changes to process.c (though if 
someone disagrees, I'd be happy for some pointers in the right 
direction). As a workaround, if you make sure that the I/O handles for 
"xdg-open" are all pipes, that should outsmart it, e.g.:

   echo | xdg-open <whatever> |& cat